Subject: Re: bug#29814: impossible to pass spaces in GUIX_BUILD_OPTIONS

From: [email-masked] (Ludovic Courtès)
Date: Fri, 22 Dec 2017 22:06:04 +0100

Martin Castillo <[email-masked]> skribis:

> guix/util.scm:(arguments-from-envirenment-variable) uses
> char-set:graphic to split the string. this makes it impossible to pass
> spaces in the arguments.
>
> This makes it impossible to pass more than one substitute-url via the
> environment.

Yes, this is annoying.  I think --substitute-urls (plural) was
misguided.  Instead we should instead have --substitute-url (singular),
which could be repeated several times.  That would solve the troubles
with spaces.

During a transition period we could keep accepting --substitute-urls.

WDYT?

Ludo’.